## xapian1.3-bindings 1.3.3

=== debian/changelog ===
xapian1.3-bindings (1.3.3-0ubuntu1) wily; urgency=medium

  * New Upstream snapshot.
  * Just build python-xapian1.3 and python3-xapian1.3 packages.
  * Fix the testsuite with python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Oct 2015 17:31:58 +0200

xapian-bindings (1.3.2+git969-0ubuntu5) vivid; urgency=medium

  * Don't run the configure target twice.
  * Don't run debian/rules in parallel.
  * Don't try to build architecture independent packages, there are none.
  * Build the documenation for the python3 bindings.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Apr 2015 15:06:45 +0200

xapian-bindings (1.3.2+git969-0ubuntu1) vivid; urgency=low

  * Upstream snapshot.
  * Build a python3-xapian package.
  * Ignore the Tcl test results, currently failing.
  * Don't include the docs, not built in the upstream snapshot, and fails to build
    for some languages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Apr 2015 17:28:27 +0200

xapian-bindings (1.3.1-2) UNRELEASED; urgency=medium

  * debian/rules: Use dh_autotools-dev_updateconfig and
    dh_autotools-dev_restoreconfig.

 -- Olly Betts <olly@survex.com>  Fri, 29 Aug 2014 13:12:55 +0000

xapian-bindings (1.2.18-1) unstable; urgency=medium

  * New upstream development release

 -- Olly Betts <olly@survex.com>  Mon, 20 May 2013 16:24:09 +1200

xapian-bindings (1.2.17-3) unstable; urgency=medium

  * Fix reversed conditional for adding pre-ruby-all-dev ruby BDs.
    (Closes: #748749)

 -- Olly Betts <olly@survex.com>  Sun, 04 May 2014 18:25:44 +1200

xapian-bindings (1.2.17-2) unstable; urgency=medium

  * Check debian/bindings-to-packages for a list of bindings to package, to
    allow people to easily build subsets of the binary packages.
  * Always regenerate debian/control on "debian/rules maint" as the
    dependencies are complex and the work to regenerate is minor.
  * Where available, use ruby-all-dev and ruby-all as BDs and use
    ruby_debian_dev.rb to determine the ruby versions to build for.
    (Closes: #745924)

 -- Olly Betts <olly@survex.com>  Sun, 04 May 2014 17:15:00 +1300

xapian-bindings (1.2.17-1) unstable; urgency=medium

  * New upstream release.
    + Drop passing RUBY_INC_ARCH to configure which is no longer required.
  * debian/rules: Drop bindings for ruby1.8.  (Closes: #735417)
  * Add workaround to allow smooth upgrades from ruby-xapian 1.2.15-4 to
    1.2.16-1 which installed duplicate doc-base files.  (Closes: #735418)
  * debian/watch: Add pgpsigurlmangle setting to automatically verify
    detached GPG signatures on upstream release tarballs.

 -- Olly Betts <olly@survex.com>  Fri, 31 Jan 2014 14:57:39 +1300

xapian-bindings (1.2.16-2) unstable; urgency=low

  * debian/rules: Fix accidentally hard-coded "x86_64-linux-gnu" in path of
    file to install.

 -- Olly Betts <olly@survex.com>  Fri, 06 Dec 2013 19:20:24 +1300

xapian-bindings (1.2.16-1) unstable; urgency=low

  * New upstream release.
  * Rename ".in" templates for doc-base files so they aren't processed by
    dh_installdocs.  (Closes: #722096)
  * debian/rules: Update for upcoming changes in Tcl/Tk (based on patch from
    Sergei Golovan).  (Closes: #724830)
  * Build ruby bindings for ruby2.0 as well - requires passing RUBY_INC_ARCH
    to configure until upstream updates configure for ruby2.0.
  * debian/watch: Fix to only consider stable releases, and to look for
    .tar.xz which upstream now uses.
  * debian/control.in: "Standards-Version: 3.9.5" (no changes required).
  * debian/control.in: Packaging now stored in git in debian collab-maint.

 -- Olly Betts <olly@survex.com>  Fri, 06 Dec 2013 15:18:06 +1300

xapian-bindings (1.2.15-4) unstable; urgency=low

  * Add missing dh_installdeb so the ruby bindings postinst files actually
    make it into the binary packages.  (Closes: #709667)

 -- Olly Betts <olly@survex.com>  Wed, 29 May 2013 22:14:52 +0000

xapian-bindings (1.2.15-3) unstable; urgency=low

  * Add postinst to transitional packages for ruby bindings to make the
    directory to symlink change in /usr/share/doc work.  (Closes: #709667)
  * debian/control.in: tclxapian - move from section "libs" to "interpreters"
    to match overrides file.
  * debian/rules: Fix target dependencies so we don't run the testsuite twice.
  * debian/rules: Mark build-arch and build-indep as phony targets.

 -- Olly Betts <olly@survex.com>  Tue, 28 May 2013 03:42:51 +0000

xapian-bindings (1.2.15-2) unstable; urgency=low

  * Restore changes from 1.2.12-2 which were accidentally omitted in
    1.2.15-1, so hardening flags are now reactivated.

 -- Olly Betts <olly@survex.com>  Sun, 12 May 2013 00:28:33 +0000

xapian-bindings (1.2.15-1) unstable; urgency=low

  * New upstream release.
  * Update to new Ruby packaging policy (based on patch from Per Andersson).
    (Closes: #675702)
  * debian/control.in: Standards-Version: 3.9.4 (no changes required).
  * debian/rules: Fix binary-arch to depend on build-arch (instead of build).
  * debian/rules: Remove code which aided backporting to Ubuntu hardy.
  * debian/copyright: Update to include 2013.

 -- Olly Betts <olly@survex.com>  Sat, 11 May 2013 03:42:04 +0000

xapian-bindings (1.2.12-2) unstable; urgency=low

  * debian/rules: Pass CFLAGS, etc to configure so hardening flags actually get
    used.

 -- Olly Betts <olly@survex.com>  Sat, 30 Jun 2012 02:21:20 +0000

xapian-bindings (1.2.12-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Enable hardening flags.
  * debian/rules,debian/control.in: Clean up special handling for versions
    of Debian and Ubuntu which have reached end of life.

 -- Olly Betts <olly@survex.com>  Thu, 28 Jun 2012 13:52:14 +0000

xapian-bindings (1.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Standards-Version: 3.9.3 (no changes required).
  * debian/copyright: Update copyright years.

 -- Olly Betts <olly@survex.com>  Thu, 10 May 2012 03:35:41 +0000

xapian-bindings (1.2.8-1) unstable; urgency=low


