=== debian/control ===
Source: xapian1.3-bindings
Section: libs
Priority: optional
Maintainer: Olly Betts <olly@survex.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7.0.50~), python, python-all-dev (>= 2.6.6-3~), python3-all-dev, libxapian-1.3-dev (>= 1.3.3), libxapian-1.3-dev (<< 1.4.0), autotools-dev, python-sphinx, python3-sphinx
X-Python-Version: >= 2.3
X-Dummy-Ruby: Ruby bindings not being packaged
Homepage: http://xapian.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xapian-bindings.git
Vcs-git: git://anonscm.debian.org/collab-maint/xapian-bindings.git

Package: python-xapian1.3
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-doc
Conflicts: python-xapian
Provides: python-xapian, ${python:Provides}
X-Dummy-Python: Remove me once python-central support is dropped
Description: Xapian search engine interface for Python
 This package provides Xapian Python bindings for all the packaged versions
 of Python.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.
 .
 The Xapian Python bindings provide an interface to the Xapian library from the
 Python programming language, allowing both indexing and retrieval operations.

Package: python3-xapian1.3
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-doc
Provides: python3-xapian, ${python3:Provides}
Description: Xapian search engine interface for Python3
 This package provides Xapian Python3 bindings for all the packaged versions
 of Python3.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.
 .
 The Xapian Python3 bindings provide an interface to the Xapian library from the
 Python programming language, allowing both indexing and retrieval operations.
