## xapian1.3-bindings 1.3.4

=== debian/changelog ===
xapian1.3-bindings (1.3.4-0ubuntu1) xenial; urgency=medium

  * New Upstream development release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:58:38 +0100
