=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7.0.50~), python, python-all-dev (>= 2.6.6-3~), python3-all-dev, libxapian-1.3-dev (>= 1.3.3), libxapian-1.3-dev (<< 1.4.0), autotools-dev, python-sphinx, python3-sphinx
+Build-Depends: debhelper (>= 7.0.50~), python, python-all-dev (>= 2.6.6-3~), python3-all-dev, libxapian-1.3-dev (>= 1.3.4), libxapian-1.3-dev (<< 1.4.0), autotools-dev, python-sphinx, python3-sphinx
 X-Python-Version: >= 2.3
 X-Dummy-Ruby: Ruby bindings not being packaged
 Homepage: http://xapian.org/
