=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2014 Olly Betts
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

# Codename we're building packages for.  For backported packages, put the
# codename (e.g. wheezy or precise) in debian/codename.  If that file doesn't
# exist, the default is sid.
CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)

# Version without the "-N" suffix.
XAPIAN_VERSION := $(shell sed 's/.*(\([^-]*\)\(-.*\)*).*/\1/;q' debian/changelog)

# The next incompatible version - i.e. the first release of the next release
# branch.  So for XAPIAN_VERSION "1.0.<n>", this should be "1.1.0".
XAPIAN_VERSION_CEILING := $(shell echo '$(XAPIAN_VERSION)'|awk -F. '{print $$1"."$$2+1".0"}')

# `--exclude=.EXT' arguments to pass dh_install
DH_INSTALL_EXCLUDE := --exclude=.pyc --exclude=.pyo

# >= 7.0.50~ needed for Ruby packaging.
BUILD_DEPS := debhelper (>= 7.0.50~),

# PHP is disabled by default due to incompatibility of GPL and PHP licence.
DEFAULT_LANGUAGES := python python3 # ruby tcl
LANGUAGES := $(shell cat debian/bindings-to-package 2>/dev/null || echo '$(DEFAULT_LANGUAGES)')

ifneq ($(findstring php, $(LANGUAGES)), )
PHP_VERSIONS := 5
# Build depends for PHP.  We need phpN-cli so we can run "make check" on
# the bindings and to get the phpapi version we need to depend on.
#
# Note that we check for /usr/bin/php-configN before trying to build PHP
# bindings below.
#
# Only the first % in the replacement part is substituted, so we need to do
# this in two goes.
BUILD_DEPS += $(PHP_VERSIONS:%=php%-dev,)
BUILD_DEPS += $(PHP_VERSIONS:%=php%-cli,)
endif

XS_RUBY_VERSIONS := X-Dummy-Ruby: Ruby bindings not being packaged
ifneq ($(findstring ruby, $(LANGUAGES)), )
# Be conservative for now and leave backported versions on old ruby policy.
ifeq ($(findstring .$(CODENAME)., .lucid.precise.quantal.raring.squeeze.wheezy.), )
# For new ruby policy:
XB_RUBY_VERSIONS := XB-Ruby-Versions: $${ruby:Versions}
XS_RUBY_VERSIONS := XS-Ruby-Versions: all
rubylibdir := vendorlibdir
rubyarchdir := vendorarchdir
# Ruby 2.0 will debut in jessie and was in Ubuntu saucy, which neatly matches
# the versions on new ruby policy.
ifeq ($(findstring .$(CODENAME)., .saucy.), )
# More recent versions all have the ruby-all-dev and ruby packages.
BUILD_DEPS += ruby-all-dev, ruby,
RUBY_VERSIONS := $(shell ruby -rruby_debian_dev -e 'print RubyDebianDev::RUBY_CONFIG_VERSION.values.join(" ")')
RUBY_PROVIDES := $(shell ruby -rruby_debian_dev -e 'p = RubyDebianDev::RUBY_CONFIG_VERSION.values.grep(/^1\./).map {|v| "libxapian-ruby"+v }.join(", "); print p.size() ? "Provides: "+p : "X-Dummy: No provides"')
RUBY_LATEST_VERSION := $(shell ruby -rruby_debian_dev -e 'print RubyDebianDev::RUBY_CONFIG_VERSION.values[-1]')
else
# Ubuntu saucy didn't have the ruby-all-dev and ruby packages.
RUBY_VERSIONS := 1.8 1.9.1 2.0
RUBY_PROVIDES := Provides: libxapian-ruby1.8, libxapian-ruby1.9.1
RUBY_LATEST_VERSION := 2.0
endif
else
# For old ruby policy:
XS_RUBY_VERSIONS := X-Dummy-Ruby: Remove me once old ruby policy support is dropped
rubylibdir := rubylibdir
rubyarchdir := archdir
RUBY_VERSIONS := 1.8 1.9.1
endif
ifeq ($(findstring ruby-all-dev, $(BUILD_DEPS)), )
# Build depends for Ruby when ruby-all-dev isn't available.
#
# Only the first % in the replacement part is substituted, so we need to do
# this in two goes.
BUILD_DEPS += $(RUBY_VERSIONS:%=ruby%-dev,)
BUILD_DEPS += $(RUBY_VERSIONS:%=ruby%,)
endif
endif

X_PYTHON_VERSION := X-Dummy-Python: Python bindings not being packaged
ifneq ($(filter python, $(LANGUAGES)), )
# The python versions to build for:
PYTHON_VERSIONS := $(shell pyversions -r debian/control)

ifeq ($(findstring .$(CODENAME)., .lucid.), )
USING_PYCENTRAL := 0
BUILD_DEPS += python, python-all-dev (>= 2.6.6-3~),
XB_PYTHON_VERSION := X-Dummy-Python: Remove me once python-central support is dropped
X_PYTHON_VERSION := X-Python-Version: >= 2.3
else
USING_PYCENTRAL := 1
BUILD_DEPS += python, python-central (>= 0.4.10), python-all-dev,
XB_PYTHON_VERSION := XB-Python-Version: $${python:Versions}
X_PYTHON_VERSION := XS-Python-Version: all
endif
endif

ifneq ($(filter python3, $(LANGUAGES)), )
BUILD_DEPS += python3-all-dev,
PYTHON3_VERSIONS := $(shell py3versions -r debian/control)
endif

ifneq ($(findstring tcl, $(LANGUAGES)), )
# Build depends for Tcl.  We use Tcl's stubs mechanism, so the built
# bindings will work with any Tcl version from 8.0.6 upwards, whichever
# version they were built against.
#
# lenny/hardy onwards have a "tcl-dev" dummy package which pulls in the package
# for the current preferred version.
BUILD_DEPS += tcl-dev,# NB Trailing ',' required here!
ifeq ($(findstring .$(CODENAME)., .lucid.precise.quantal.raring.saucy.trusty.squeeze.wheezy.), )
# /usr/bin/tclsh-default is going to be dropped.
TCLSH=/usr/bin/tclsh
# tclsh8.6 requires us to link to libtclstub.a - upstream doesn't yet do this
# automatically.
TCL_MAKE_OPTS = TCL_LIBS=-ltclstub
else
TCLSH=/usr/bin/tclsh-default
TCL_MAKE_OPTS =
endif
BUILD_TCL := 1
endif
# tests failing, and dh_install failing (no docs built)
BUILD_TCL :=

export DH_OPTIONS

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)

# Fallback for suites which don't have dpkg-buildflags.
ifeq (,$(CFLAGS))
    # -g needed for armel to workaround unaligned relocations (#576944)
    CFLAGS := -g
    CXXFLAGS := -g
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O2
    CXXFLAGS += -O2
endif
endif

confflags := CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)'
confflags += LDFLAGS='$(LDFLAGS)' CPPFLAGS='$(CPPFLAGS)'
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --build $(DEB_HOST_GNU_TYPE)
else
    confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
    # Disable the testsuite when cross-compiling.
    DEB_BUILD_OPTIONS += nocheck
endif

# Handle DEB_BUILD_OPTIONS.  Note that dh_strip handles nostrip for us, and
# dpkg-buildflags handles noopt.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NJOBS = -j$(NUMJOBS)
endif
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    MAKE_CHECK := :
else
    MAKE_CHECK := make check
endif

# We need a versioned build dependency on libxapian-dev.
# NB Trailing ',' required here!
BUILD_DEPS += \
	libxapian-1.3-dev (>= $(XAPIAN_VERSION)), \
	libxapian-1.3-dev (<< $(XAPIAN_VERSION_CEILING)),

commonconfflags := \
	XAPIAN_CONFIG=/usr/bin/xapian-config-1.3 \
	$(confflags) \
	--prefix=/usr \
	--sysconfdir=/etc

# With GCC3 and later this won't make a huge difference, but it'll save
